import request from '@/utils/request'

// 查询测项明细列表
export function listPitElementItem(query) {
  return request({
    url: '/device/pitElementItem/list',
    method: 'get',
    params: query
  })
}

// 查询测项明细详细
export function getPitElementItem(id) {
  return request({
    url: '/device/pitElementItem/' + id,
    method: 'get'
  })
}

// 新增测项明细
export function addPitElementItem(data) {
  return request({
    url: '/device/pitElementItem',
    method: 'post',
    data: data
  })
}

// 修改测项明细
export function updatePitElementItem(data) {
  return request({
    url: '/device/pitElementItem',
    method: 'put',
    data: data
  })
}

// 删除测项明细
export function delPitElementItem(id) {
  return request({
    url: '/device/pitElementItem/' + id,
    method: 'delete'
  })
}
